package com.nisum.example.mongodb.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.DecimalMax;
import javax.validation.constraints.NotNull;


/**
 * Model class for Employee
 * Fields id, name and salary
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Employee {

    private Integer id;

    @NotNull(message = "Name cannot be null")
   private String name;
    @DecimalMax(value = "1000",message = "Value cannot be more than 1000")
    private Long salary;


}
